@import '../../../../styles/variables.scss';

.menu {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 10;

  width: 100%;
  height: 100%;

  font-family: 'Jost', sans-serif;

  background-color: #fff;

  &_close {
    padding: 20px;
    box-sizing: border-box;

    width: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-end;

    &__button {
      @include reset-button;
    }
  }

  &_language {
    @include reset-list;

    width: 100%;

    display: flex;
    align-items: center;
    justify-content: center;

    & li {
      margin-left: 32px;

      &:first-child {
        margin-left: 0;
      }

    }

    &__button {
      @include reset-button;

      display: flex;
      align-items: center;

      text-transform: uppercase;

      span {
        margin-left: 15px;
      }
    }
  }

  &_list {
    @include reset-list;

    margin-top: 40px;

    display: flex;
    align-items: center;
    flex-direction: column;

    & li a {
      font-size: 56px;
      font-weight: 700;

      color: $black;
    }
  }
}

@media(min-width: $breakpoint-2) {
  .menu {
    &_close {
      &__button {
        cursor: pointer;
        opacity: .8;

        &:hover {
          opacity: 1;
        }
      }
    }

    &_language {
      & li button {
        cursor: pointer;

        &:hover {
          text-decoration: underline;
        }
      }
    }

    &_list {
      & li a {
        position: relative;
        display: inline-block;

        font-size: 90px;
        color: $black;
        opacity: 0.8;

        &:hover {
          opacity: 1;
        }
      }
    }
  }
}
